[ Maverik Level 1 functions ]

#

mav_objectDataGet

## Summary

Query the data associated with an object.

## Syntax

void *mav_objectDataGet(MAV_object *o);

- MAV_object *o
  Object to query.

## Description

This function returns a pointer to the data associated with object `o`, i.e. the data used to create the object by mav_objectNew.

By necessity the data must be a void pointer so caution must be taken when dereferencing it to a specfic data type.

## See also

mav_objectNew.html>mav_objectNew, mav_objectClassGet.html>mav_objectClassGet, mav_objectDataWith.html>mav_objectDataWith,

Back to the index page.